wai-extra-3.0.19.1: Provides some basic WAI handlers and middleware.

Safe Haskell | None
Language | Haskell2010

Network.Wai.Header

Description

Some helpers for dealing with WAI `Header`s.

Synopsis

- contentLength :: [(HeaderName, ByteString)] -> Maybe Integer

# Documentation

contentLength :: [(HeaderName, ByteString)] -> Maybe Integer #

More useful for a response. A Wai Request already has a requestBodyLength